module ModTest4 interface;

export
  ModTest = (i, DoTest);

var
  i: integer;


procedure DoTest;


end.


module ModTest4 implementation;

import
  StandardOutput;


procedure DoTest;
begin
  i := -9;
end;


to end do
  writeln('OK');


end.


program Test(output);

import
  ModTest;

begin
  DoTest;
  if i <> -9
    then  writeln('failed');
end.
